/*共通*/
.column {
  margin-top: 60px;
  padding-top: 40px;
  background: #fcfde2;
}

/*----------------------------------------------
  sidebar
------------------------------------------------*/
.sidebar {
  top: 100px;
  box-shadow: 0 3px 6px #00000016;
  background: #fff;
  border-radius: 16px;
  padding: 40px 30px;
}

.widget+.widget {
  margin-top: 40px;
  padding-top: 40px;
}

.widget h3 {
  font-size: 18px;
  font-weight: 700;
  color: #fd6925;
  margin-bottom: 5px;
}

.ranking-list li,
.category-list li {
  border-bottom: 1px solid #ececec;
}

.ranking-list li:last-child,
.category-list li:last-child {
  border-bottom: none;
}

.ranking-list a,
.category-list a {
  display: block;
  padding: 18px 0;
  transition: .3s;
}

.ranking-list a:hover,
.category-list a:hover {
  padding-left: 8px;
}


@media (max-width: 1024px) {
  .sidebar {
    position: static;
  }
}

@media (max-width: 767px) {
  .sidebar {
    padding: 30px 24px;
  }

  .widget+.widget {
    margin-top: 30px;
    padding-top: 30px;
  }
}

/*----------------------------------------------
  archive-column
------------------------------------------------*/
.c-archive-title {
  position: relative;
  z-index: 1;
  width: 70%;
  margin: 0 auto;
  text-align: center;
}

.c-archive-title h1 {
  margin: 45px 0 30px 0;
  font-size: 3.2rem;
  font-weight: 900;
  line-height: 1.74;
  text-align: center;
  color: #fd6925;
}

.c-archive-title-bg {
  position: absolute;
  top: 10%;
  left: 50%;
  z-index: -1;
  transform: translate(-50%, -50%);
  width: min(80vw, 570px);
  height: auto;
}

.c-archive {
  display: grid;
  grid-template-columns: minmax(0, 1fr) 350px;
  gap: 20px;
  align-items: start;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.c-archive-card {
  min-width: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/*c-archive-item*/
.c-archive-item {
  background: #fff;
  border-radius: 16px;
  overflow: hidden;
  transition: .3s;
  box-shadow: 0 3px 6px #00000016;
}

.c-archive-item.show {
  opacity: 1;
  transform: translateY(0);
}

.c-archive-item a {
  display: flex;
  gap: 30px;
  padding: 30px;
  align-items: center;
}

.c-archive-item:hover {
  transform: translateY(-2px);
}

.c-archive-thumbnail {
  width: 347px;
  flex-shrink: 0;
  aspect-ratio: 346.66 / 216.66;
  overflow: hidden;
  border-radius: 8px;
}

.c-archive-thumbnail img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.c-archive-text {
  flex: 1;
  min-width: 0;
}

.c-archive-category {
  display: inline-flex;
  align-items: center;
  padding: 6px 14px;
  margin-bottom: 15px;
  color: #fff;
  background: #fd6925;
  border-radius: 999px;
  font-size: 13px;
  font-weight: 500;
  line-height: 1;
}

.c-archive-text h2 {
  font-size: clamp(16px, 2vw, 18px) !important;
  font-weight: 700;
  line-height: 1.5;
  margin-bottom: 16px;

  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.c-archive-text p {
  color: #666;
  font-size: 14px;
  line-height: 1.5;
  margin-bottom: 15px;

  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.c-archive-text time {
  color: #8c8c8c;
  font-size: 14px;
  line-height: 1;
}

@media (max-width: 1024px) {

  .c-archive {
    grid-template-columns: 1fr;
  }

  .c-archive-thumbnail {
    width: 280px;
  }
}

@media (max-width: 767px) {
  .c-archive {
    padding: 40px 16px;
  }

  .c-archive-item a {
    flex-direction: column;
    align-items: stretch;
    gap: 20px;
    padding: 20px;
  }

  .c-archive-thumbnail {
    width: 100%;
  }

  .c-archive-text h2 {
    font-size: 18px;
  }

  .c-archive-text p {
    font-size: 14px;
  }
}

/* pagination */
.c-archive-pagination {
  display: flex;
  justify-content: center;
  gap: 8px;
  margin-bottom: 20px;
}

.c-archive-pagination button {
  width: 44px;
  height: 44px;
  border: none;
  border-radius: 8px;
  background: #fff;
  box-shadow: 0 3px 6px #00000016;
  cursor: pointer;
  transition: .3s;
  text-align: center;
}

.c-archive-pagination button:hover {
  transform: translateY(-2px);
}

.c-archive-pagination button.active {
  background: #fd6925;
  color: #fff;
  text-align: center;
}

/*----------------------------------------------
  column-single
------------------------------------------------*/
.c-single {
  max-width: 1200px;
  margin: 0 auto;
  padding: 100px 20px;
  display: grid;
  grid-template-columns: minmax(0, 1fr) 350px;
  gap: 20px;
  align-items: start;
}

.c-single-main {
  min-width: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.c-single-article {
  background: #fff;
  border-radius: 16px;
  padding: 40px;
  box-shadow: 0 3px 6px #00000016;
}

.c-single-category {
  display: inline-flex;
  align-items: center;
  padding: 6px 14px;
  margin-bottom: 20px;
  background: #fd6925;
  color: #fff;
  border-radius: 999px;
  font-size: 13px;
  font-weight: 500;
  line-height: 1;
}

.c-single-article h1 {
  font-size: 26px;
  line-height: 1.4;
  margin-bottom: 20px;
}

.c-single-article time {
  display: block;
  color: #888;
  font-size: 14px;
  margin-bottom: 30px;
}

.c-single-thumbnail {
  margin-bottom: 40px;
  overflow: hidden;
}

.c-single-lead {
  font-size: 17px;
  margin-bottom: 40px;
}

.c-single-lead p {
  margin-bottom: 20px;
}

/* =========================
       TOC
    ========================= */
.toc {
  margin-bottom: 50px;
  padding: 30px;
  border: 1px solid #fd6925;
  border-radius: 5px;
}

.toc-title {
  font-weight: 700;
  margin-bottom: 15px;
  text-align: center;
  color: #fd6925;
  font-size: 18px;
}

.toc>ol>li:hover {
  color: #fd6925;
}

.toc>ol>li>a:hover {
  text-decoration: underline;
}

.toc ol {
  list-style: decimal;
  padding-left: 20px;
}

.toc li+li {
  margin-top: 10px;
}

/* =========================
       Content
    ========================= */

.article-content {
  font-size: 16px;
}

.article-content p {
  margin-bottom: 24px;
}

.article-content h2 {
  margin-top: 60px;
  margin-bottom: 24px;
  padding: 20px 20px;
  font-size: clamp(20px, 2.5vw, 24px) !important;
  line-height: 1.4;
  font-weight: 700;
  color: #fff;
  background: #fd6925;
  border-radius: 5px;
  scroll-margin-top: 80px;
}

.article-content h3 {
  margin-top: 40px;
  margin-bottom: 18px;
  padding: 10px 20px;
  font-size: clamp(18px, 2.5vw, 20px) !important;
  line-height: 1.4;
  font-weight: 700;
  color: #333;
  border: 1px solid #e5e5e5;
  border-left: 6px solid #fd6925;
}



.article-content ul {
  list-style: disc;
  padding-left: 24px;
  margin-bottom: 30px;
}

.article-content li+li {
  margin-top: 8px;
}

.article-content blockquote {
  margin: 40px 0;
  padding: 24px;

  background: #f7f7f7;
  border-left: 4px solid #333;
  border-radius: 8px;
}

/* =========================
       Author Box
    ========================= */

.author-box {
  margin-top: 60px;
  padding: 30px;

  background: #fafafa;
  border: 1px solid #ececec;
  border-radius: 12px;
}

.author-box h3 {
  margin-bottom: 10px;
  font-size: 18px;
}

/* =========================
       Pager
    ========================= */

.article-nav {
  margin-top: 40px;

  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 15px;
}



.article-nav a:hover {
  box-shadow: 0 8px 20px rgba(0, 0, 0, .05);
}

/* =========================
   Category
========================= */

.article-category {
  margin-top: 60px;
}

.article-category-title {
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: 700;
}

.article-category-list {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.article-category-list {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.article-category-tag {
  display: inline-flex;
  align-items: center;
  gap: 6px;
  padding: 6px 16px;
  border: 1px solid #fd6925;
  border-radius: 999px;
  color: #fd6925;
  font-size: 14px;
  font-weight: 500;
  line-height: 1;
  text-decoration: none;
  transition: .3s;
}

/* タグアイコン */
.article-category-tag::before {
  content: "";
  background: #fd6925;
  width: .9em;
  height: .9em;
  display: inline-block;
  -webkit-mask: url(../img/tag.svg) 50%/contain no-repeat;
  mask: url(../img/tag.svg) 50%/contain no-repeat
}

/* ホバー */
.article-category-tag:hover {
  opacity: 0.7;
}

/* =========================
   Related Posts
========================= */

.related-posts {
  margin-top: 60px;
}

.related-title {
  position: relative;

  margin-bottom: 40px;
  padding-bottom: 15px;

  font-size: 28px;
  font-weight: 700;
}

.related-title::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 120px;
  height: 4px;
  background: #fd6925;
}

.related-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.related-card {
  display: block;
}

.related-card img {
  width: 100%;
  aspect-ratio: 16 / 9;
  object-fit: cover;

  border: 1px solid #eee;
}

.related-card p {
  margin-top: 15px;

  font-size: 16px;
  line-height: 1.8;

  color: #333;
  transition: .3s;
}

.related-card:hover p {
  color: #fd6925;
}

.works_logobox {
  padding: 25px 30px;
  box-shadow: 0px 0px 3px 0px rgba(0, 0, 0, 0.16);
  margin: 16px 0;
}

.works_logobox_text>div>p:nth-child(2) {
  min-height: auto;
}


.works_logobox_text p {
  margin-bottom: 0;
}

@media screen and (max-width: 999px) {
  .works_logobox {
    flex-direction: row;
  }

  .works_logobox img {
    max-width: 60px;
  }
}

@media screen and (max-width: 500px) {
  .works_logobox {
    flex-direction: row;
    padding: 20px 16px;
  }

  .works_logobox_text>p>a {
    font-size: 0.7rem !important;
  }
}

@media screen and (max-width: 310px) {
  .works_logobox {
    flex-direction: column;
  }
}

@media (max-width: 767px) {

  .related-grid {
    grid-template-columns: 1fr;
    gap: 24px;
  }

}

.article-nav {
  margin-top: 60px;
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  gap: 15px;
  align-items: center;
}

.article-nav-item {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 60px;
  padding: 15px 20px;

  background: #fff;

  border: 1px solid #e8e8e8;
  border-radius: 8px;

  transition: .3s;
}

.article-nav-item:hover {
  border-color: #fd6925;
  color: #fd6925;
}

.article-nav-center {
  min-width: 180px;
  background: #fd6925;
  color: #fff;
  border-color: #fd6925;
}

.article-nav-center:hover {
  background: #e75b1c;
  color: #fff;
}

.article-nav-item.is-empty {
  border: none;
  background: transparent;
  pointer-events: none;
}

@media (max-width: 1024px) {

  .c-single {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 767px) {
  .c-single {
    padding: 40px 0;
  }

  .c-single-article {
    padding: 24px;
    border-radius: 0px;
  }

  .article-nav {
    grid-template-columns: 1fr;
  }

  .c-single>.sidebar {
    margin: 0 16px;
  }

  .c-single-article h1 {
    font-size: 20px;
  }

  .article-nav {
    grid-template-columns: 1fr;
  }

  .article-nav-center {
    order: -1;
  }
}
